summaryrefslogtreecommitdiffstats
path: root/retiolum
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-05 00:27:40 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-05 00:31:29 +0200
commitf6a7e5467c2a4c30b095b5c1c80b6cb062abbcd3 (patch)
tree9bd3b7f88003643a61bd141cc4992b96b28b247e /retiolum
parent5b1518dffad685e81706f692588146827d703ac3 (diff)
updated to work with legacy os
build_debian.sh: updated to work with legacy build_debian_clean.sh: debian build script with manual compiling install.sh: updated python to work with legacy software
Diffstat (limited to 'retiolum')
-rwxr-xr-xretiolum/hosts/build_debian.sh6
-rwxr-xr-xretiolum/hosts/build_debian_clean.sh31
-rwxr-xr-xretiolum/hosts/install.sh8
3 files changed, 38 insertions, 7 deletions
diff --git a/retiolum/hosts/build_debian.sh b/retiolum/hosts/build_debian.sh
index ecec41a3..3f21ec6e 100755
--- a/retiolum/hosts/build_debian.sh
+++ b/retiolum/hosts/build_debian.sh
@@ -2,8 +2,7 @@
set -x
MYIP=10.0.7.7.55
-aptitude install tinc git
-
+apt-get install tinc git curl python
git clone https://github.com/makefu/shack-retiolum.git
@@ -11,6 +10,7 @@ cd shack-retiolum
./install.sh `hostname` $MYIP
+rm shack-retiolum
# for autostart
echo "retiolum" >> /etc/tinc/nets.boot
-echo "EXTRA=\"--user=tincd --chroot\"" >> /etc/default/tinc
+echo "EXTRA=\"\"" >> /etc/default/tinc
diff --git a/retiolum/hosts/build_debian_clean.sh b/retiolum/hosts/build_debian_clean.sh
new file mode 100755
index 00000000..a7332f4e
--- /dev/null
+++ b/retiolum/hosts/build_debian_clean.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -xe
+MYIP=10.0.7.7.55
+
+apt-get install tinc git curl gcc gcc-dev build-essential libssl-dev python
+
+git clone https://github.com/makefu/shack-retiolum.git
+
+mkdir build
+cd build
+curl http://www.oberhumer.com/opensource/lzo/download/lzo-2.04.tar.gz | tar
+xz
+cd lzo-2.04
+./configure --prefix=/usr
+make
+sudo make install
+cd ..
+curl http://www.tinc-vpn.org/packages/tinc-1.0.13.tar.gz | tar xz
+cd tinc-1.0.13
+./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+make
+sudo make install
+cd ../..
+
+cd shack-retiolum
+./install.sh `hostname` $MYIP
+
+rm shack-retiolum
+# for autostart
+echo "retiolum" >> /etc/tinc/nets.boot
+echo "EXTRA=\"--user=tincd --chroot\"" >> /etc/default/tinc
diff --git a/retiolum/hosts/install.sh b/retiolum/hosts/install.sh
index 5fa1d4a5..af461a30 100755
--- a/retiolum/hosts/install.sh
+++ b/retiolum/hosts/install.sh
@@ -47,7 +47,7 @@ CHANNEL = '#tincspasm'
HOST='irc.freenode.net'
FILE="/etc/tinc/retiolum/hosts/$myname"
PORT=6667
-NICK= "$myname"+str(random.randint(23,666))
+NICK= "$myname_"+str(random.randint(23,666))
sock = socket.socket(socket.AF_INET,socket.SOCK_STREAM)
sock.connect((HOST,PORT))
@@ -56,9 +56,9 @@ sock.send("NICK %s\r\n" % NICK)
sock.send("USER %s %s bla : %s\r\n" %(NICK,HOST,NICK))
sock.send("JOIN %s\r\n" % CHANNEL)
time.sleep(23)
-with open(FILE,'r') as f:
- a = [ sock.send("PRIVMSG %s : %s" % ( CHANNEL,line)) for line in f]
- time.sleep(5) #because irc is so lazy
+f = open(FILE,'r')
+a = [ sock.send("PRIVMSG %s : %s" % ( CHANNEL,line)) for line in f]
+time.sleep(5) #because irc is so lazy
print "closing socket"
sock.close()
EOF